Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.query
Class AbstractAuditDeleteBuilderImpl<T>

    java.lang.Object
      org.kie.internal.query.AbstractQueryBuilderImpl<T>
          org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<T>

All Implemented Interfaces:
  org.kie.internal.query.ParametrizedQueryBuilder<T>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>

Direct Known Subclasses:
  AuditTaskInstanceLogDeleteBuilderImpl, ErrorInfoLogDeleteBuilderImpl, NodeInstanceLogDeleteBuilderImpl, ProcessInstanceLogDeleteBuilderImpl, RequestInfoLogDeleteBuilderImpl, TaskEventInstanceLogDeleteBuilderImpl, VarInstanceLogDeleteBuilderImpl

    public class AbstractAuditDeleteBuilderImpl<T>

extends org.kie.internal.query.AbstractQueryBuilderImpl<T>
implements org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>

Field Summary
`protected CommandExecutor` | `executor`
`protected JPAAuditLogService` | `jpaAuditService`

Fields inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`queryData`

Constructor Summary
`protected` | `AbstractAuditDeleteBuilderImpl(CommandExecutor cmdExecutor)`
`protected` | `AbstractAuditDeleteBuilderImpl(JPAAuditLogService jpaService)`

Method Summary
`protected boolean` | `checkIfNotNull(Object... parameter)`
`T` | `date(Date... date)`
`T` | `dateRangeEnd(Date rangeStart)`
`T` | `dateRangeStart(Date rangeStart)`
`protected Date[]` | `ensureDateNotTimestamp(Date... date)`
`protected JPAAuditLogService` | `getJpaAuditLogService()`
`T` | `processId(String... processId)`
`T` | `processInstanceId(long... processInstanceId)`

Methods inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder
`ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

Field Detail

### executor

    protected final CommandExecutor executor

### jpaAuditService

    protected final JPAAuditLogService jpaAuditService

Constructor Detail

### AbstractAuditDeleteBuilderImpl

    protected AbstractAuditDeleteBuilderImpl(JPAAuditLogService jpaService)

### AbstractAuditDeleteBuilderImpl

    protected AbstractAuditDeleteBuilderImpl(CommandExecutor cmdExecutor)

Method Detail

### getJpaAuditLogService

    protected JPAAuditLogService getJpaAuditLogService()

### processInstanceId

    public T processInstanceId(long... processInstanceId)

  Specified by:
    `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>`

### processId

    public T processId(String... processId)

  Specified by:
    `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>`

### date

    public T date(Date... date)

### dateRangeStart

    public T dateRangeStart(Date rangeStart)

### dateRangeEnd

    public T dateRangeEnd(Date rangeStart)

### checkIfNotNull

    protected boolean checkIfNotNull(Object... parameter)

### ensureDateNotTimestamp

    protected Date[] ensureDateNotTimestamp(Date... date)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.